Dt/Term.h(file formats)

NAME
Dt/Term.h — terminal emulator definitions

SYNOPSIS

#include &<Dt/Term.h>

DESCRIPTION

The Dt/Term.h header defines structures, values and function prototypes for terminal emulator services.

The header declares the following variable:

WidgetClass       dtTermWidgetClass;

The following are declared as functions:

Widget DtCreateTerm(Widget parent,
        char *name,
        Arg *arglist,
        Cardinal argcount);

void DtTermInitialize(void);

void DtTermDisplaySend(Widget w,
        unsigned char *buffer,
        int length);

void DtTermSubprocSend(Widget w,
        unsigned char *buffer,
        int length);

void DtTermSubprocReap(pid_t pid,
        int *stat_loc);

SEE ALSO

DtCreateTerm(3), DtTermDisplaySend(3), DtTermInitialize(3), DtTermSubprocReap(3), DtTermSubprocSend(3), dtterm(1), dtterm(5).